DBManager (The Data Transfer Scheduler DB interface 2.0.0-2.16.1 API)
Date: 2013-09-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.db
Class DBManager

    java.lang.Object
      org.gcube.datatransfer.scheduler.db.DBManager

Direct Known Subclasses:
  DataTransferDBManager

    public abstract class DBManager

extends Object

Nested Class Summary
`static interface` | `DBManager.BaseConsumer`

Field Summary
`protected static File` | `backupFolder`
`protected static int` | `backupIntervalMS`
`protected String` | `dbFileBaseFolder` dbFileName is used to open or create files that hold the state of the db.
`protected String` | `dbFileName`
`protected String` | `dbName`
`protected javax.jdo.PersistenceManagerFactory` | `persistenceFactory`
`protected static Properties` | `prop`

Constructor Summary
`DBManager()` Constructor for SQLDBManager

Method Summary
`void` | `close()` Shutdown the db and close the connection to the db.
`String` | `getScheduledBackupInHours()`
`boolean` | `startBackUp()`
`protected void` | `zipFolder(File[] files)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### persistenceFactory

    protected javax.jdo.PersistenceManagerFactory persistenceFactory

### backupFolder

    protected static File backupFolder

### prop

    protected static Properties prop

### dbFileBaseFolder

    protected String dbFileBaseFolder

  dbFileName is used to open or create files that hold the state of the db. It can contain directory names relative to the current working directory

### dbFileName

    protected String dbFileName

### dbName

    protected String dbName

### backupIntervalMS

    protected static int backupIntervalMS

Constructor Detail

### DBManager

    public DBManager()

  Constructor for SQLDBManager

Method Detail

### close

    public void close()
               throws Exception

  Shutdown the db and close the connection to the db.

  Throws:
    `Exception`

### startBackUp

    public boolean startBackUp()

### zipFolder

    protected void zipFolder(File[] files)
                      throws Exception

  Throws:
    `Exception`

### getScheduledBackupInHours

    public String getScheduledBackupInHours()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.